// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        player:cc.Node,
    },

    x_move:0,
    y_move:0,

    start () {
        var manager = cc.director.getCollisionManager();
        manager.enabled = true;
        manager.enabledDebugDraw = true;
        // manager.enabledDrawBoundingBox = true;
        this.node.on(cc.Node.EventType.TOUCH_START,(event)=>{
            // console.log(event.getLocation());
            this.player.x=event.getLocation().x-360;
            this.player.y=event.getLocation().y-640;
        },this)
        this.node.on(cc.Node.EventType.TOUCH_MOVE,(event)=>{
            this.player.x=event.getLocation().x-360;
            this.player.y=event.getLocation().y-640;
        },this)
    },


});
